Module ij
Package ij.io

# Class FileInfo

java.lang.Object
ij.io.FileInfo

All Implemented Interfaces:
  `Cloneable`

public class FileInfo extends Object implements Cloneable
This class consists of public fields that describe an image file.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`ABGR`
32-bit interleaved ABGR.
`static final int`
`ARGB`
32-bit interleaved ARGB.
`static final int`
`BARG`
32-bit interleaved BARG (MCID).
`static final int`
`BGR`
24-bit interleaved BGR.
`static final int`
`BITMAP`
1-bit black and white.
`byte[]`
`blues`
`static final int`
`BMP`
`int`
`calibrationFunction`
`byte[][]`
`channelLuts`
`static final int`
`CMYK`
32-bit interleaved CMYK.
`double[]`
`coefficients`
`static final int`
`COLOR8`
8-bit unsigned integer with color lookup table.
`int`
`compression`
`static final int`
`COMPRESSION_NONE`
`static final int`
`COMPRESSION_UNKNOWN`
`String`
`debugInfo`
`String`
`description`
`static final int`
`DICOM`
`String`
`directory`
`double[]`
`displayRanges`
`int`
`fileFormat`
`String`
`fileName`
`int`
`fileType`
`static final int`
`FITS`
`double`
`frameInterval`
`int`
`gapBetweenImages`
`static final int`
`GIF_OR_JPG`
`static final int`
`GRAY10_UNSIGNED`
10-bit unsigned integer (0-1023).
`static final int`
`GRAY12_UNSIGNED`
12-bit unsigned integer (0-4095).
`static final int`
`GRAY16_SIGNED`
16-bit signed integer (-32768-32767).
`static final int`
`GRAY16_UNSIGNED`
16-bit unsigned integer (0-65535).
`static final int`
`GRAY24_UNSIGNED`
24-bit unsigned integer.
`static final int`
`GRAY32_FLOAT`
32-bit floating-point.
`static final int`
`GRAY32_INT`
32-bit signed integer.
`static final int`
`GRAY32_UNSIGNED`
32-bit unsigned integer.
`static final int`
`GRAY64_FLOAT`
64-bit floating-point.
`static final int`
`GRAY8`
8-bit unsigned integer (0-255).
`byte[]`
`greens`
`int`
`height`
`static final int`
`IMAGEIO`
`boolean`
`imageSaved`
`String`
`info`
`InputStream`
`inputStream`
`boolean`
`intelByteOrder`
`static final int`
`JPEG`
`long`
`longGap`
`long`
`longOffset`
`int`
`lutSize`
`static final int`
`LZW`
`static final int`
`LZW_WITH_DIFFERENCING`
`byte[][]`
`metaData`
`int[]`
`metaDataTypes`
`int`
`nImages`
`int`
`offset`
`String`
`openNextDir`
`String`
`openNextName`
`byte[][]`
`overlay`
`static final int`
`PACK_BITS`
`static final int`
`PGM`
`double`
`pixelDepth`
`double`
`pixelHeight`
`Object`
`pixels`
`double`
`pixelWidth`
`byte[]`
`plot`
`String[]`
`properties`
`static final int`
`RAW`
`byte[]`
`reds`
`static final int`
`RGB`
24-bit interleaved RGB.
`static final int`
`RGB_PLANAR`
24-bit planer RGB.
`static final int`
`RGB48`
48-bit interleaved RGB.
`static final int`
`RGB48_PLANAR`
48-bit planar RGB.
`byte[]`
`roi`
`int`
`rowsPerStrip`
`int`
`samplesPerPixel`
`String[]`
`sliceLabels`
`int`
`sliceNumber`
`int[]`
`stripLengths`
`int[]`
`stripOffsets`
`static final int`
`TIFF`
`String`
`unit`
`static final int`
`UNKNOWN`
`String`
`url`
`String`
`valueUnit`
`VirtualStack`
`virtualStack`
`boolean`
`whiteIsZero`
`int`
`width`
`static final int`
`ZIP`
`static final int`
`ZIP_ARCHIVE`
`static final int`
`ZIP_WITH_DIFFERENCING`

## Constructor Summary

Constructors
Constructor
Description
`FileInfo()`
Creates a FileInfo object with all of its fields set to their default value.

## Method Summary

Modifier and Type
Method
Description
`Object`
`clone()`
`int`
`getBytesPerPixel()`
Returns the number of bytes used per pixel.
`String`
`getCode()`
Returns JavaScript code that can be used to recreate this FileInfo.
`String`
`getFilePath()`
Returns the file path.
`final long`
`getGap()`
Returns the gap between images as a long.
`final long`
`getOffset()`
Returns the offset as a long.
`String`
`toString()`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### GRAY8

public static final int GRAY8
8-bit unsigned integer (0-255).

See Also:
  - Constant Field Values

### GRAY16_SIGNED

public static final int GRAY16_SIGNED
16-bit signed integer (-32768-32767). Imported signed images are converted to unsigned by adding 32768.

See Also:
  - Constant Field Values

### GRAY16_UNSIGNED

public static final int GRAY16_UNSIGNED
16-bit unsigned integer (0-65535).

See Also:
  - Constant Field Values

### GRAY32_INT

public static final int GRAY32_INT
32-bit signed integer. Imported 32-bit integer images are converted to floating-point.

See Also:
  - Constant Field Values

### GRAY32_FLOAT

public static final int GRAY32_FLOAT
32-bit floating-point.

See Also:
  - Constant Field Values

### COLOR8

public static final int COLOR8
8-bit unsigned integer with color lookup table.

See Also:
  - Constant Field Values

### RGB

public static final int RGB
24-bit interleaved RGB. Import/export only.

See Also:
  - Constant Field Values

### RGB_PLANAR

public static final int RGB_PLANAR
24-bit planer RGB. Import only.

See Also:
  - Constant Field Values

### BITMAP

public static final int BITMAP
1-bit black and white. Import only.

See Also:
  - Constant Field Values

### ARGB

public static final int ARGB
32-bit interleaved ARGB. Import only.

See Also:
  - Constant Field Values

### BGR

public static final int BGR
24-bit interleaved BGR. Import only.

See Also:
  - Constant Field Values

### GRAY32_UNSIGNED

public static final int GRAY32_UNSIGNED
32-bit unsigned integer. Imported 32-bit integer images are converted to floating-point.

See Also:
  - Constant Field Values

### RGB48

public static final int RGB48
48-bit interleaved RGB.

See Also:
  - Constant Field Values

### GRAY12_UNSIGNED

public static final int GRAY12_UNSIGNED
12-bit unsigned integer (0-4095). Import only.

See Also:
  - Constant Field Values

### GRAY24_UNSIGNED

public static final int GRAY24_UNSIGNED
24-bit unsigned integer. Import only.

See Also:
  - Constant Field Values

### BARG

public static final int BARG
32-bit interleaved BARG (MCID). Import only.

See Also:
  - Constant Field Values

### GRAY64_FLOAT

public static final int GRAY64_FLOAT
64-bit floating-point. Import only.

See Also:
  - Constant Field Values

### RGB48_PLANAR

public static final int RGB48_PLANAR
48-bit planar RGB. Import only.

See Also:
  - Constant Field Values

### ABGR

public static final int ABGR
32-bit interleaved ABGR. Import only.

See Also:
  - Constant Field Values

### CMYK

public static final int CMYK
32-bit interleaved CMYK. Import only.

See Also:
  - Constant Field Values

### GRAY10_UNSIGNED

public static final int GRAY10_UNSIGNED
10-bit unsigned integer (0-1023). Import only.

See Also:
  - Constant Field Values

### UNKNOWN

public static final int UNKNOWN

See Also:
  - Constant Field Values

### RAW

public static final int RAW

See Also:
  - Constant Field Values

### TIFF

public static final int TIFF

See Also:
  - Constant Field Values

### GIF_OR_JPG

public static final int GIF_OR_JPG

See Also:
  - Constant Field Values

### FITS

public static final int FITS

See Also:
  - Constant Field Values

### BMP

public static final int BMP

See Also:
  - Constant Field Values

### DICOM

public static final int DICOM

See Also:
  - Constant Field Values

### ZIP_ARCHIVE

public static final int ZIP_ARCHIVE

See Also:
  - Constant Field Values

### PGM

public static final int PGM

See Also:
  - Constant Field Values

### IMAGEIO

public static final int IMAGEIO

See Also:
  - Constant Field Values

### COMPRESSION_UNKNOWN

public static final int COMPRESSION_UNKNOWN

See Also:
  - Constant Field Values

### COMPRESSION_NONE

public static final int COMPRESSION_NONE

See Also:
  - Constant Field Values

### LZW

public static final int LZW

See Also:
  - Constant Field Values

### LZW_WITH_DIFFERENCING

public static final int LZW_WITH_DIFFERENCING

See Also:
  - Constant Field Values

### JPEG

public static final int JPEG

See Also:
  - Constant Field Values

### PACK_BITS

public static final int PACK_BITS

See Also:
  - Constant Field Values

### ZIP

public static final int ZIP

See Also:
  - Constant Field Values

### ZIP_WITH_DIFFERENCING

public static final int ZIP_WITH_DIFFERENCING

See Also:
  - Constant Field Values

### fileFormat

public int fileFormat

### fileType

public int fileType

### fileName

public String fileName

### directory

public String directory

### url

public String url

### width

public int width

### height

public int height

### offset

public int offset

### nImages

public int nImages

### gapBetweenImages

public int gapBetweenImages

### whiteIsZero

public boolean whiteIsZero

### intelByteOrder

public boolean intelByteOrder

### compression

public int compression

### stripOffsets

public int[] stripOffsets

### stripLengths

public int[] stripLengths

### rowsPerStrip

public int rowsPerStrip

### lutSize

public int lutSize

### reds

public byte[] reds

### greens

public byte[] greens

### blues

public byte[] blues

### pixels

public Object pixels

### debugInfo

public String debugInfo

### sliceLabels

public String[] sliceLabels

### info

public String info

### inputStream

public InputStream inputStream

### virtualStack

public VirtualStack virtualStack

### sliceNumber

public int sliceNumber

### pixelWidth

public double pixelWidth

### pixelHeight

public double pixelHeight

### pixelDepth

public double pixelDepth

### unit

public String unit

### calibrationFunction

public int calibrationFunction

### coefficients

public double[] coefficients

### valueUnit

public String valueUnit

### frameInterval

public double frameInterval

### description

public String description

### longOffset

public long longOffset

### longGap

public long longGap

### metaDataTypes

public int[] metaDataTypes

### metaData

public byte[][] metaData

### displayRanges

public double[] displayRanges

### channelLuts

public byte[][] channelLuts

### plot

public byte[] plot

### roi

public byte[] roi

### overlay

public byte[][] overlay

### samplesPerPixel

public int samplesPerPixel

### openNextDir

public String openNextDir

### openNextName

public String openNextName

### properties

public String[] properties

### imageSaved

public boolean imageSaved

## Constructor Details

### FileInfo

public FileInfo()
Creates a FileInfo object with all of its fields set to their default value.

## Method Details

### getFilePath

public String getFilePath()
Returns the file path.

### getOffset

public final long getOffset()
Returns the offset as a long.

### getGap

public final long getGap()
Returns the gap between images as a long.

### getBytesPerPixel

public int getBytesPerPixel()
Returns the number of bytes used per pixel.

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### getCode

public String getCode()
Returns JavaScript code that can be used to recreate this FileInfo.

### clone

public Object clone()

Overrides:
  `clone` in class `Object`